Member Function
ArgParseOption
Constructor
ArgParseOption(shortName, longName, helpText, argumentType[, argumentLabel[, isList]])
Parameters

shortName | A std::string containing the short-name option identifier (e.g. "h" for the -h/--help option). Although not suggested the short-name can contain more than 1 character. Remarks: Note that the leading "-" is not passed.
longName | A std::string containing the long-name option identifier (e.g. "help" for the -h/--help option). Remarks: Note that the leading "--" is not passed.
helpText | A std::string containing the help text associated with this option.
argumentType | A ArgParseArgument::ArgumentType for the option (e.g., an integer argument). Types: ArgParseArgument
argumentLabel | The label to use for the argument in the help text, e.g. "NUMBER" for an integer. Optional. Types: char const * Default: ""
isList | Whether or not the argument allows multiple values. Types: bool Default: false

Member of
ArgParseOption
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59